package	jp.co.sds_corp.hibiya.threshold;

import jp.co.sds_corp.hibiya.server.IChecker;
import jp.co.sds_corp.util.config.IConfiguration;

/**
* {@link IChecker}のstatusによって、Checkerの状態を変更します。
* 実装としては、ほとんど意味がありません。
*/
public class StatusThreshold extends AbstractThreshold
{
	private static final long serialVersionUID = 1L;

	/**
	* 設定情報で初期化します。
	* @param	config	設定情報
	*/
	public void init( IConfiguration config ) throws Exception {
		super.init( config );
	}

	/**
	* 状態を取得します。
	* @return	状態
	*/
	public IChecker.Status getCheckerStatus( IChecker chk ) {
		return chk.getCheckerStatus();
	}

	/**
	* 設定されている内容をXML形式で出力します。
	* @param    config  設定情報
	*/
	public void saveConfig( IConfiguration config ) {
		super.saveConfig( config );
	}

	/**
	* スクリプトを設定します。
	* @param	var		設定するスクリプト
	*/
	public void setScript( String var ) {
	}

	/**
	* スクリプトを取得します。
	* @return	スクリプト
	*/
	public String getScript() {
		return null;
	}

}
